Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class ClassifierEvaluator

    java.lang.Object
      cc.mallet.classify.ClassifierEvaluator

Direct Known Subclasses:
  ClassifierAccuracyEvaluator

    public abstract class ClassifierEvaluator

extends java.lang.Object

Constructor Summary
`ClassifierEvaluator(InstanceList[] instanceLists, java.lang.String[] instanceListDescriptions)`
`ClassifierEvaluator(InstanceList instanceList1, java.lang.String instanceListDescription1)`
`ClassifierEvaluator(InstanceList instanceList1, java.lang.String instanceListDescription1, InstanceList instanceList2, java.lang.String instanceListDescription2)`
`ClassifierEvaluator(InstanceList instanceList1, java.lang.String instanceListDescription1, InstanceList instanceList2, java.lang.String instanceListDescription2, InstanceList instanceList3, java.lang.String instanceListDescription3)`

Method Summary
`void` | `evaluate(ClassifierTrainer ct)` Evaluates a ClassifierTrainer and its Classifier on the instance lists specified in the constructor.
`abstract void` | `evaluateInstanceList(ClassifierTrainer trainer, InstanceList instances, java.lang.String description)`
`protected void` | `preamble(ClassifierTrainer ct)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassifierEvaluator

    public ClassifierEvaluator(InstanceList[] instanceLists,
                               java.lang.String[] instanceListDescriptions)

### ClassifierEvaluator

    public ClassifierEvaluator(InstanceList instanceList1,
                               java.lang.String instanceListDescription1)

### ClassifierEvaluator

    public ClassifierEvaluator(InstanceList instanceList1,
                               java.lang.String instanceListDescription1,
                               InstanceList instanceList2,
                               java.lang.String instanceListDescription2)

### ClassifierEvaluator

    public ClassifierEvaluator(InstanceList instanceList1,
                               java.lang.String instanceListDescription1,
                               InstanceList instanceList2,
                               java.lang.String instanceListDescription2,
                               InstanceList instanceList3,
                               java.lang.String instanceListDescription3)

Method Detail

### evaluate

    public void evaluate(ClassifierTrainer ct)

  Evaluates a ClassifierTrainer and its Classifier on the instance lists specified in the constructor. .

  The default implementation calls the evaluator's `evaluateInstanceList` on each instance list.

  Parameters:
    `ct` - The TransducerTrainer to evaluate.

### preamble

    protected void preamble(ClassifierTrainer ct)

### evaluateInstanceList

    public abstract void evaluateInstanceList(ClassifierTrainer trainer,
                                              InstanceList instances,
                                              java.lang.String description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD